-------------------------------------------------------------------------------
-- ElvUI Chat Tweaks By Lockslap (US, Bleeding Hollow)
-- <Borderline Amazing>, http://ba-guild.com
-- Based on functionality provided by Prat and/or Chatter
-------------------------------------------------------------------------------
local slashToggle			= "|cffffffff%s now|r |cff33ff99%s|r"
local slashDesc				= "|cffffffff%s (|cffffff00%s|r)"

-- slash command goodness
ElvUI_ChatTweaks.optionsSlash = {
	type	= "group",
	name	= "Slash Command",
	order	= -3,
	args	= {
		hyperlinks	= {
			type	= "execute",
			name	= "Hyperlink Hovering",
			desc	= format(slashDesc, "Toggle hyperlink hovering.", "/ct hyperlinks"),
			func	= function()
				db.hyperlinks = not db.hyperlinks
				ElvUI_ChatTweaks:Print(format(slashToggle, "Hyperlink Hovering are", db.hyperlinks and "ENABLED" or "DISABLED"))
			end,
		},
		timestamps = {
			type	= "execute",
			name	= "Timestamps",
			desc	= format(slashDesc, "Toggle timestamps.", "/ct timestamps"),
			func	= function()
				db.timestamps = not db.timestamps
				ElvUI_ChatTweaks:Print(format(slashToggle, "Timestamps are", db.timestamps and "ENABLED" or "DISABLED"))
			end,
		},
		channels = {
			type	= "execute",
			name	= "Channel Name Replacement",
			desc	= format(slashDesc, "Replace channel names.", "/ct channels"),
			func	= function()
				db.channels = not db.channels
				ElvUI_ChatTweaks:Print(format(slashToggle, "Channel Names are", db.channels and "ENABLED" or "DISABLED"))
			end,
		},
		groupsay = {
			type	= "execute",
			name	= "Group Say Command",
			desc	= format(slashDesc, "Toggle the group say slash command.", "/ct groupsay"),
			func	= function()
				db.groupSay = not db.groupSay
				ElvUI_ChatTweaks:Print(format(slashToggle, "Group Say Command are", db.groupSay and "ENABLED" or "DISABLED"))
			end
		},
		altinvite = {
			type	= "execute",
			name	= "Alt Invite",
			desc	= format(slashDesc, "Alt-click someone's name to invite them.", "/ct altinvite"),
			func	= function()
				db.altInvite = not db.altInvite
				ElvUI_ChatTweaks:Print(format(slashToggle, "Alt Inviting is", db.altInvite and "ENABLED" or "DISABLED"))
			end
		},
		chatlog = {
			type	= "execute",
			name	= "Automatic Chat Logging",
			desc	= format(slashDesc, "Automatically enable chat logging.", "/ct chatlog"),
			func	= function()
				db.chatLogging = not db.chatLogging
				ElvUI_ChatTweaks:Print(format(slashToggle, "Automatic Chat Logging is", db.chatLogging and "ENABLED" or "DISABLED"))
			end
		},
		history = {
			type	= "execute",
			name	= "Editbox History",
			desc	= format(slashDesc, "Remembers the history of the editbox between sessions.", "/ct history"),
			func	= function()
				db.editboxHistory = not db.editboxHistory
				ElvUI_ChatTweaks:Print(format(slashToggle, "Editbox History is", db.editboxHistory and "ENABLED" or "DISABLED"))
			end
		},
		justify = {
			type	= "execute",
			name	= "Chatframe Text Justification",
			desc	= format(slashDesc, "Enables text justification.", "/ct justify"),
			func	= function()
				db.justify = not db.justify
				ElvUI_ChatTweaks:Print(format(slashToggle, "Text Justification is", db.justify and "ENABLED" or "DISABLED"))
			end
		},
		colornames = {
			type	= "execute",
			name	= "Name Coloring",
			desc	= format(slashDesc, "Color names according to settings.", "/ct colornames"),
			func	= function()
				db.names = not db.names
				ElvUI_ChatTweaks:Print(format(slashToggle, "Name Coloring is", db.names and "ENABLED" or "DISABLED"))
			end
		},
		colorchannels = {
			type	= "execute",
			name	= "Channel Coloring",
			desc	= format(slashDesc, "Color channels based on name, not number.", "/ct colorchannels"),
			func	= function()
				db.channelSaveColors = not db.channelSaveColors
				ElvUI_ChatTweaks:Print(format(slashToggle, "Channel Coloring is", db.channelSaveColors and "ENABLED" or "DISABLED"))
			end
		},
		chatfonts = {
			type	= "execute",
			name	= "Chat Fonts",
			desc	= format(slashDesc, "Manipulate the chat's font settings.", "/ct chatfonts"),
			func	= function()
				db.chatFonts = not db.chatFonts
				ElvUI_ChatTweaks:Print(format(slashToggle, "Custom Chat Fonts are", db.chatFonts and "ENABLED" or "DISABLED"))
			end
		},
		spamfilter = {
			type	= "execute",
			name	= "Spam Filters",
			desc	= format(slashDesc, "Filter certain phrases to prevent spam.", "/ct spamfilter"),
			func	= function()
				db.spamFilter = not db.spamFilter
				ElvUI_ChatTweaks:Print(format(slashToggle, "Spam Filters are", db.spamFilter and "ENABLED" or "DISABLED"))
			end
		},
		scrollreminder = {
			type	= "execute",
			name	= "Scroll Reminder",
			desc	= format(slashDesc, "Display a button when you scroll a chat frame.", "/ct scrollreminder"),
			func	= function()
				db.scrollReminder = not db.scrollReminder
				ElvUI_ChatTweaks:Print(format(slashToggle, "Scroll Reminder is", db.scrollReminder and "ENABLED" or "DISABLED"))
			end
		},
		rollframe = {
			type	= "execute",
			name	= "Roll Frame",
			desc	= format(slashDesc, "Move rolls (/roll) to a different chat window.", "/ct rollframe"),
			func	= function()
				db.rollFrame = not db.rollFrame
				ElvUI_ChatTweaks:Print(format(slashToggle, "Roll Frame is", db.rollFrame and "ENABLED" or "DISABLED"))
			end
		},
		clearchat = {
			type	= "execute",
			name	= "Clear Chat Command",
			desc	= format(slashDesc, "Chat command to clear chat windows.", "/ct clearchat"),
			func	= function()
				db.clearChat = not db.clearChat
				ElvUI_ChatTweaks:Print(format(slashToggle, "Clear Chat Command is", db.clearChat and "ENABLED" or "DISABLED"))
			end
		},
		config = {
			type	= "execute",
			name	= "Configure",
			desc	= format(slashDesc, "Open the configuration dialog.", "/ct config"),
			func	= function()
				ElvUI_ChatTweaks:Print("Showing Configuration Options")
				InterfaceOptionsFrame_OpenToCategory(ElvUI_ChatTweaks.frames.general)
			end
		}
	}
}